"use strict";

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require("./index.css");

var _react = require("react");

var _props = require("./props");

var _props2 = _interopRequireDefault(_props);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var FixedNode = function (_Component) {
    _inherits(FixedNode, _Component);

    function FixedNode() {
        _classCallCheck(this, FixedNode);

        return _possibleConstructorReturn(this, (FixedNode.__proto__ || Object.getPrototypeOf(FixedNode)).apply(this, arguments));
    }

    _createClass(FixedNode, [{
        key: "render",
        value: function render() {
            return require("react").createElement(
                "div",
                { className: this.props.className, style: this.props.style },
                this.props.children
            );
        }
    }]);

    return FixedNode;
}(_react.Component);

var Fixed = function (_Component2) {
    _inherits(Fixed, _Component2);

    function Fixed(props) {
        _classCallCheck(this, Fixed);

        return _possibleConstructorReturn(this, (Fixed.__proto__ || Object.getPrototypeOf(Fixed)).call(this, props));
    }

    _createClass(Fixed, [{
        key: "render",
        value: function render() {
            var props = this.props;
            var nodes = require("react").createElement(
                "div",
                { className: props.clsp + "-fixedSpace" },
                this.props.children
            );
            var concatSpace = [];
            {
                props.spaceClassName.forEach(function (className, index) {
                    concatSpace[index] = concatSpace[index] || {};
                    concatSpace[index].className = className;
                });
                props.spaceStyle.forEach(function (style, index) {
                    concatSpace[index] = concatSpace[index] || {};
                    concatSpace[index].style = style;
                });
            }
            concatSpace.forEach(function (item) {
                item.className = item.className || '';
                nodes = require("react").createElement(
                    FixedNode,
                    { className: item.className + ' ' + props.clsp + '-fixedSpace', style: item.style },
                    nodes
                );
            });
            return require("react").createElement(
                "div",
                { className: props.clsp + "-fixed" + " " + props.wrapClassName },
                nodes
            );
        }
    }]);

    return Fixed;
}(_react.Component);

Fixed.defaultProps = _props2["default"].defaultProps;
Fixed.propTypes = _props2["default"].propTypes;
module.exports = Fixed;