'use strict';

var _react = require('react');

var example = function example() {
    return arguments;
};
module.exports = {
    defaultProps: {
        clsp: 'rf',
        wrapClassName: 'rf-fixed--fixed',
        spaceClassName: [],
        spaceStyle: []
    },
    propTypes: {
        clsp: _react.PropTypes.string,
        wrapClassName: _react.PropTypes.string,
        spaceClassName: _react.PropTypes.arrayOf(_react.PropTypes.string),
        spaceStyle: _react.PropTypes.arrayOf(_react.PropTypes.object)
    },
    propExample: {
        clsp: example('rf', 'my'),
        wrapClassName: example('rf-fixed--fixed', 'rf-fixed--absolute', 'rf-fixed--fixed osIOS', 'rf-fixed--fixed osAndroid'),
        spaceClassName: example(['m-headSpace m-titleSpace', 'm-navSpace']),
        spaceStyle: example([{
            'padding-top': '10px'
        }, {
            'padding-bottom': '20px'
        }], [{
            'padding-top': '10px'
        }])
    },
    propsDesc: {
        clsp: 'class prefix',
        wrapClassName: 'wrap element className'
    }
};